Bug 1675808 - python-uvloop: FTBFS in Fedora rawhide/f30
Summary: python-uvloop: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-uvloop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:41 UTC by Fedora Release Engineering
Modified: 2019-07-31 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-02 13:32:36 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:41 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:41 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 21:41 UTC, Fedora Release Engineering
no flags Details
Full log from Copr (Python 3.8) (136.54 KB, text/plain)
2019-05-02 10:46 UTC, Miro Hrončok
no flags Details

Description Fedora Release Engineering 2019-02-11 21:41:16 UTC
python-uvloop failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32467028


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-uvloop at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-uvloop will be orphaned. Before branching of Fedora 31,
python-uvloop will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:41:18 UTC
Created attachment 1532433 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:41:20 UTC
Created attachment 1532434 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:41:21 UTC
Created attachment 1532435 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:31:54 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Miro Hrončok 2019-05-02 10:45:30 UTC
python-uvloop 0.11.2-4.fc31 hangs during the Python 3.8 rebuild:

...
test_signals_sigint_uvcode (test_signals.Test_UV_Signals) ... ok
test_sock_cancel_add_reader_race (test_sockets.TestAIOSockets) ...  !! Copr timeout => sending INT


Full log attached.

Comment 6 Miro Hrončok 2019-05-02 10:46:01 UTC
Created attachment 1561527 [details]
Full log from Copr (Python 3.8)

Comment 7 Igor Gnatenko 2019-05-02 13:32:36 UTC
Ok, I have updated uvloop to latest version. Also I disabled tests due to https://github.com/MagicStack/uvloop/issues/248.


Note You need to log in before you can comment on or make changes to this bug.